Subject: Re: [PATCH RFC] t0027: check the eol conversion warnings

From: Torsten Bögershausen <[email-masked]>
Date: Fri, 21 Nov 2014 13:37:05 +0100

On 20.11.14 23:37, Junio C Hamano wrote:
>
> ---
> At a glance it is very hard to see what we might be _losing_ with this
> change that claims to "add" new kinds of tests on top of existing ones.
>
> I am guessing that add-check-warn roughly corresponds to the old
> create-file-in-repo but they have different calling conventions, or
> something?
>
> Perhaps split it into two patches (or more), each of which does one
> thing and one thing well?  I suspect that even with a two-patch
> split (e.g. the first of which only renames the function without
> adding the new "grep in error messages that could be localized and
> give false failures" code, and the second adds the lf/crlf stuff)
> might make this at least readable.
>
> I dunno.
>
We shouldn't loose anything.
The diff is hard to read, as some code
is re-defined and re-used (and a diff side-by-side looks nicer than the patch)

I will come back with a new commit message, which should explain things better
( or a 2-stepped patch)

The long term idea is to improve the gray areas in convert.c, and to do that we need a reliable
test frame work, to see what is improved or broken.